GNU bug report logs - #42417
Shell-script mode $() vs `` innards colors

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; Keywords: fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 42417 <at> debbugs.gnu.org and 積丹尼 Dan Jacobson <jidanni@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42417 <at> debbugs.gnu.org:


Received: (at 42417) by debbugs.gnu.org; 5 Aug 2020 09:36:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 05:36:36 2020
Received: from localhost ([127.0.0.1]:49836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3Fqe-0007Sp-Gi
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 05:36:36 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3Fqb-0007SW-Vl
 for 42417 <at> debbugs.gnu.org; Wed, 05 Aug 2020 05:36:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=Cj3loXUuOg0kWMGVnJ9vICdcxlaOFtTHrIHU12/7M7o=; b=BuSHiipViB1sPMLNpFKOcAfm+c
 yBntIVxxjDAZoFKxr7jX6Rzjs0bypZqYK4Eh7zwE4vNfiF0Q6SkJ8ZX1KfOFFiN90s7u9Y189C5bc
 Sf+JCM5mXQ5V3exTwMRPIiEAB2T+3uTYmvwKLtaz5cBnhURXYjsMKsp2nmEMDCapKUOM=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3FqK-00035g-Pl; Wed, 05 Aug 2020 11:36:27 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#42417: Shell-script mode $() vs `` innards colors
References: <87mu3wam0a.8.fsf@HIDDEN>
Date: Wed, 05 Aug 2020 11:36:15 +0200
In-Reply-To: <87mu3wam0a.8.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Sat, 18 Jul 2020 23:19:49 +0800")
Message-ID: <877dude8og.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  積丹尼 Dan Jacobson <jidanni@HIDDEN> writes: > $ cat
    e.sh > x=`date +%Y` > x=$(date +%Y) > Shouldn't their colors look the same?
    They should, and I've fixed it so your test case works better in Emacs 28.
    However, this is done with regexps, so it's impossible to get it to work
   completely correctly in the presence of nested expre [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42417
Cc: 42417 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

=E7=A9=8D=E4=B8=B9=E5=B0=BC Dan Jacobson <jidanni@HIDDEN> writes:

> $ cat e.sh
> x=3D`date +%Y`
> x=3D$(date +%Y)
> Shouldn't their colors look the same?

They should, and I've fixed it so your test case works better in Emacs
28.  However, this is done with regexps, so it's impossible to get it to
work completely correctly in the presence of nested expressions.

But it's better than before, at least, so I'm closing this bug report.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42417; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jul 2020 15:20:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 18 11:20:08 2020
Received: from localhost ([127.0.0.1]:59196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jwodD-0003Bb-TR
	for submit <at> debbugs.gnu.org; Sat, 18 Jul 2020 11:20:08 -0400
Received: from lists.gnu.org ([209.51.188.17]:44222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1jwodB-0003BQ-5Z
 for submit <at> debbugs.gnu.org; Sat, 18 Jul 2020 11:20:06 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39038)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1jwodA-0008Rd-VI
 for bug-gnu-emacs@HIDDEN; Sat, 18 Jul 2020 11:20:04 -0400
Received: from black.elm.relay.mailchannels.net ([23.83.212.19]:24369)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1jwod5-0000sC-PL
 for bug-gnu-emacs@HIDDEN; Sat, 18 Jul 2020 11:20:04 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 8597F361672
 for <bug-gnu-emacs@HIDDEN>; Sat, 18 Jul 2020 15:19:55 +0000 (UTC)
Received: from pdx1-sub0-mail-a36.g.dreamhost.com
 (100-96-9-43.trex.outbound.svc.cluster.local [100.96.9.43])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id DDF05361414
 for <bug-gnu-emacs@HIDDEN>; Sat, 18 Jul 2020 15:19:54 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a36.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.8); Sat, 18 Jul 2020 15:19:55 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Callous-Callous: 2645e248518551ed_1595085595105_820395253
X-MC-Loop-Signature: 1595085595105:3558407737
X-MC-Ingress-Time: 1595085595104
Received: from pdx1-sub0-mail-a36.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a36.g.dreamhost.com (Postfix) with ESMTP id 8DA3680075
 for <bug-gnu-emacs@HIDDEN>; Sat, 18 Jul 2020 08:19:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type; s=
 jidanni.org; bh=aSY24K/mL8xpH18G2gGS1oJHcNs=; b=mV35d/ljG7lpAujC
 ckLMcmUh+0APibvGMDRPPdewd8kNAbDzarCUuuVMjM6WZpXWqZYJnwz+ODDQejsX
 D164ounApVTODRf+9Os/K6e4vnxPUm4bo4nBwqFdYDVpD3/eHLudAdXOVc8MHSQh
 RATQSfMPIF3PRYcDFIT7Yh+rzn8=
Received: from jidanni.org (1-170-86-111.dynamic-ip.hinet.net [1.170.86.111])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a36.g.dreamhost.com (Postfix) with ESMTPSA id 0C6D08008E
 for <bug-gnu-emacs@HIDDEN>; Sat, 18 Jul 2020 08:19:52 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a36
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Shell-script mode $() vs `` innards colors
Date: Sat, 18 Jul 2020 23:19:49 +0800
Message-ID: <87mu3wam0a.8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: 0
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduiedrfeelgdekjecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufffkfggtgesmhdtreertddtjeenucfhrhhomhepnjjnnjcuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqnecuggftrfgrthhtvghrnhepvdfftddvleektdelueekfeevtddvhfegfeeuueelvdfhheegfeegjeffgeefvdegnecukfhppedurddujedtrdekiedrudduudenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehjihgurghnnhhirdhorhhgpdhinhgvthepuddrudejtddrkeeirdduuddupdhrvghtuhhrnhdqphgrthhhpeeprehuthhfqdekreeureehiehmpfehnfhiheehsgevkeerpecuffgrnhculfgrtghosghsohhnuceojhhiuggrnhhnihesjhhiuggrnhhnihdrohhrgheqpdhmrghilhhfrhhomhepjhhiuggrnhhnihesjhhiuggrnhhnihdrohhrghdpnhhrtghpthhtohepsghughdqghhnuhdqvghmrggtshesghhnuhdrohhrgh
Received-SPF: pass client-ip=23.83.212.19; envelope-from=jidanni@HIDDEN;
 helo=black.elm.relay.mailchannels.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/18 11:19:55
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -30
X-Spam_score: -3.1
X-Spam_bar: ---
X-Spam_report: (-3.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001, URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

$ cat e.sh
x=`date +%Y`
x=$(date +%Y)
Shouldn't their colors look the same?

--=-=-=
Content-Type: image/jpeg
Content-Disposition: attachment; filename=e.jpg
Content-Transfer-Encoding: base64

/9j/4AAQSkZJRgABAQAAAQABAAD/2wBDAAUDBAQEAwUEBAQFBQUGBwwIBwcHBw8LCwkMEQ8SEhEP
ERETFhwXExQaFRERGCEYGh0dHx8fExciJCIeJBweHx7/2wBDAQUFBQcGBw4ICA4eFBEUHh4eHh4e
Hh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh4eHh7/wAARCAA6AQkDASIA
AhEBAxEB/8QAHQAAAQUBAQEBAAAAAAAAAAAAAAMEBQYHCQIIAf/EAE4QAAICAQMCAwIKBAcMCwAA
AAECAwQFAAYREiEHEzEUIhUXIzJRUleVodIIQWGyFjY3YnSCtCQzNDVCSFRWcYeSxRglVWOBkZSl
09Ti/8QAGQEBAAMBAQAAAAAAAAAAAAAAAAECAwQF/8QAMREAAQMDAwIEBAUFAAAAAAAAAQACEQMh
MQQSQVFhE3Gx8BQigcEFI5Gh0TJCUmLx/9oADAMBAAIRAxEAPwDU9yx5TcXi3Dj4Yqkwqwo8UVti
IWi46nYgdzyeQePXpH0apXiduOGdmw+MviTGiTzWqpQSCONwCAAwVWccE92A1cfEjEVLVFc1fyHw
FLSAAyEx8uNAW4CuxI4949u44LdvXg0VNzYvKV/g7c3jBt2bFB1Z6sOZiYy8egLswIHp9P8A4Hvr
29HrdOGNc4/08fcWP2XRSDAZeVYt+27Oe8MfD1MliqmZmmzlQPTvsPKtARzBTIWVuzABuSp9dXPB
7ZpLtqXHVsFjtke1WA12DbzRx+0xqDwplWJCOeeCVAYDkBhzzqmbh3V4T53F1cbkd37e9mpypNWF
bPrWaF0BVSrRSqw4BI7HXj27w1o4SMtvZoaF+TzIbEm8rI84x8qfLlNjngFiGVTxzxyOQOPGe4Fx
ItKxImSAvFO0p/RMwuMjsTRWLlKpUqxxL1NYlaZeiAjqX3ZOOhuWACsxJ088PpchjvEW1TtbYxmx
b1zBstCpjAk1O2UZOuZ2QIC8RdFCFAelz7zA9onG5LwZx+DkwcG7cLJjXEYWtY3Q06RdDdSGISTN
5RB7gp0nkA89hpxjs/4R0prFhd6YazYsV2qvPc3N7TKIW+dGryTMyKeAT0kckAnuNVVVct14ePI0
alrJ4HC743HSpJXmrXpxDWHUGLTJEyyLGzsvHPHPHbq4HBrm04to2vCnbuQ3ncmuUcC1mtJQyCB4
fahMY/LaE9fmvEytHEAW5B5AJIIi7GW8HpYqSR7xw9R6VRacM1TdBrzGBfmxvJHMHdR6+8T3JPqS
dJX7vgpcrYmu26MFXjxHmGh7HuY1TCX+e3MUykse/LHknk9+55IpvA2tybYw2GoYqOPA19xbrmSp
QniEhxtF6k0ixqgPCN1QeZ0A8KXK+gI0tW3rvWtUbIXMzSsQ4zdEODniFIKbsUtmOHzmIPuOBMpA
X3eUPPPUAsZR3L4UVI6aDe2Is+w3TerPc3QbLxzGJouoNLMzcdDsOnnp94njnvpSTdXhK9Wes+69
smKxkUycq/DcfvWUkSRZP7524aNDwO3b04J0RPs14j7gq5lshSyE97GxbghxkiRYxUpCN7SV3Xzn
YSNKpY8sgKdSleOATqa2fubdubNTcrZjFw4u1krNU4qaHoKQxySxIVl5LNMWjDFSOngsABxzqli1
4PX7sjpuTCWCbJyRrJuEmFJkbzmnWIS9CMCpdmAH+UT2Lc+4M74PQ5s5ePde3fP897IjbPq1dJnB
DyrCZfLV2DNywXk9TfSeSQrF4eb53PNuWjjd33LFG/eglL46xifLhMqDqIq2UYpIoUMSGJYjhu3B
GtR9v/naxLF3PCvANjczBuPFQwBZVxb2c+ZK0Q+ZIK6ySmNQPmnoA4B6ew7anPjS2F/rztn72g/P
opIIytR9v/naTuW/Nx9uPnnmtL+42sy+NLYX+vO2fvaD8+pDb+/do5rINjMXuvBX7c1ax5detkIp
JH4hdjwqsSeACf8AYNQ7BRuVomzP4tVP6/77al9Q+zSBtur3+v8AvtqbSN3UMo5B/bqG4UnKYWfa
4cjFcq10sdMTxMjS9HHJU888H6v469/CWW/7Ih/9Z/8AjT3yZfq/iNHky/V/EalQo+t7XNkZblqu
lfqiSJUWXr54LHnngfW080p5Mv1fxGjyZfq/iNESemeapvex0laOQRuSrKxHPBVgw/EDUh5Mv1fx
GjyZfq/iNQRIgqQYVN/g9mv9Orf8Dfm0fwezX+nVv+BvzauXky/V/EaPJl+r+I1j8NT6eq08Z/VR
+FpvRxyVpJBI4LMzAcclmLH8Tp5pTyZfq/iNHky/V/Ea2AgQFmTKT1Ut47Qkz+SS0bUcaxqnQOZU
dWXzByGjdT3EjDjnVx8mX6v4jR5Mv1fxGihZqfDezxwuYmUfsvXv/sal9mbPm2/lJLhupOsiuHBM
ru7N5Y6i8jsTwIlHGrn5Mv1fxGjyZfq/iNISyT0aU8mX6v4jWM/9J7wO/wBd/wD2q5/8WpRfKXj/
AOIdndG/s2uC3RlLe1rXkeTW8+ZK7dMUfV8i/AHEik919Rz+3WdZLaWDq4SxmY89kZKHscE1KVsW
i+0zytMvkkCclOkwSAuQR8m/HPyfmNdPspl9nTbblwVaXLeRWrRSY+VsZEsrXAZDK0hExARw6qSo
LcJCDz5PynHWD6YY2mT3gTa3bP2lVqOLjKjrtHw/SnO9Lc255rSxsYY5tvQRo78e6GcXGKgnjkhW
49eD6ajcpmp8hgsRi5fMCYtJY4gJSYyryGTno/U/UzAsD3UIOB08tJXfETxAu056V3fO57NWxG0U
0M2WndJEYcMrKX4IIJBB9edV56tlKcd168y1ZZHijmKEI7oFLqG9CQHQkfq6l59RrqDT/ctN5AIb
zn1+yu+Mowbfwu8aiZS4M5BixWuwRQBIYublZJIxMH6nI56GHQFPLcMy8FmeP2RJf222UqNmJGWn
Laaf4IcY8CNGd09pLc9QCsn974Mg6QePf06jymHzA3PcUZpsznKUsk1StQSWGKRZUtSOH80N5fyL
E8pyik8l+glvUWe2i25LudsT50PfrWq4qxU4vLoLNA8SqhMvyqRqwRV4i90A8r09Bwl4nr5dl6W2
g4tBjbjPc3zmIt34hM95Udr19uYGbHXsg1qTHM6B8ZHELH92TqXkYTMVYAFR2fkIncc8K4yfhrmq
ONtO9LMLepQvPaEuLdKYRAWcJZJ4dlAJ7qqt0sEZ/c64v4UwVnBUEyEVyS7jqE1KCssY8mUvJNIk
zShwyFGn56Ohg3lgEgOelTKZLbeTu5DP3FyEmUvedLJQECiutiQN76zCTr6VdvMCGM+gQk93NhvF
geqzPgOuQMDmItc83njPZVbVxyezp6uyamR8zD+1C5bE7pmqr9cSRwMiqBKQzAtJ7q8t7w5Hdead
p5NkZ5cJVxLLGIK1mawjAHqLSrErAnnjjiFeO36z69uNXBxIhclJ1MNdvE2t+o7FaNvDNYx9p28t
Ts+0TX7lunjCI2VqVNzA5rhiOU8lFMRjX5PpuN0MwDjTLLZWf2bLb0+EpHnzuLioD5cmRrLBUtB0
56ejphkPSOQgsViFXlehzf3DhqmGkwEd+M1sXWs0pIIgXjyLPXVUdGAKyJHcNiwpkK9KygoOfdFb
kbD39lU8NjJc1aytSWzfeIY1PLIaKEyjqWUsFjSu79fR3HqFAJ1zMbYW/wCewF6detckOEx5XFpz
3Mc2/WKymanyGCxGLl8wJi0ljiAlJjKvIZOej9T9TMCwPdQg4HTy0Vo0tdq2aVyeldrzVrVeRopo
ZkKPG6nhlZT3BBBBB9NdYAFgvIc4uMn3FkjrV/0Rv5f8D/Rsj/YLGso1q/6I38v+B/o2R/sFjR2C
obldFtnfxcq/1/320vnNzRbc9nkyVWQY2WNwLcZLlZhyViKAf5QB6Tz3btwORyhs7+LlX+v++2ls
xtiDcM0HwvOZ8ZFE4SkFKjzW5Hms3Pcqp90cDpJJ7njijt2z5crSns3/AD4X5e3HnqdGjMNhZvIz
2Yy80WPtUyKx57K5nmh5bj6oIHcc+hLjG2JNz4e5Vzm1MphoZPkmr5GSs7SqR85TXmlA4/aQeR2+
nTSzsTbuZx9KHeeGwm6rdJDHFbyWLilfp5/nhuCQByRwCRzwPTUptrbO3Ns1pa228BicLBM/XLHj
6cddXbjjqYIACeO3J1oxzmwRYqu4sfuYYg2j3K8ZjIR7Z2u1udrN72VEiXrYGWd2YIgJ4A5ZiBzx
+vnUHispmpfEWxVydRqgiwwmFaG350Lkyn3gSFHV26TyB6epGrFubERZzB2MXNK8Il6WSVAOqN1Y
OjDn14ZQeP2ahF2jdtZLIXszmxae9i2xrLXq+QI0JJ6l5djz7x9ee/0Dtr09M/TeE7xCNxng9oiL
dZn6L1tHU0goPNUgPM8GYO2Ii3+Uz2hecLveC9uSDCSjFmaykjRexZNLTIUHJWVQo6Dxz6dQ7Hvr
xtrL7rt7tzVG9SxfstWaBSqXmJgDRBj0fIAyc88+8V454HbSuM2nkIMthbtzNQTRYeOSKCvBR8lW
Vo+jk++3venccD6AOdSEOEu1d0XMtSyMCV75ia3Xmql2JRekFHDr08gD1VvTWtR2ibuFMC7f9rO3
cc3b/E5WtV/4e3e2kBdnO4w7fxgiW/SbTEzG295zRrkr8GI83C4uy1e3bNnpk5QgSMkfSepUPqSw
PY8A6t+qRa8O8fJlLlmKHCtDcsNYl9rw8didXY8t0SMeACeTwytxz9HbV3AAAAHAHoNc2s+Fhvgf
XPbM85xbsuP8Q+D2s+G+uegzM3mZi3ZV3d28MNtxES1foe1tNAhrSXEjkCSSKhk4PfpUEt6ccKe4
9dV/euYazPWuYTLm3XlhZKTY68pC2FcdTuiHmZAOAVAfjv278i6ZvF18tTSrZeVESxDYBjIB6opF
kUdwe3Kjn9n0aVylOLIY21RlLKlmF4WZDwwVgQeD9PfVtNqNPR2O2y6TN7Rbt5+hmVppNVpdPsds
JdJmTaLcR5+hmVVsplbOc2+c7tuSbzMZY85IlsoVuKo+UiZUYgcqTwG4Ibg8DTjZMs+fiu7jtvMa
GSAjo05GPQtZeQHZPTqkJLH+b0jTzAYCbHx3mtXorFi3GkRaGt5KKiKVX3Oo9+CeTz37AAAAad7U
xXwFtrHYbz/aPYq6Q+b0dPX0jjnjk8f+Z1etXotpOZS6iDeYyRfoQOhueCr6jU6dlF9OjEyIN52m
5Eno4C9jc8GEvhcdFisbFj68s0kEPIiErdRROeyA8eijsOeTwB3OnmjRrzXOL3FzsleQ97nuLnG5
RrjPrsxrjPqqqrVp1ktpYOrhLGZjz2RkoexwTUpWxaL7TPK0y+SQJyU6TBIC5BHyb8c/J+Zsf6Su
38flt3Z/fuK3vs2/Tl9m8ujWyqy3H4jihPEagg8EFvnfNBP7NVPKeHu4ptty4Kt4deJPkVq0UmPl
bZ8iytcBkMrSEOQEcOqkqC3CQg8+T8pw1ar3BhYSOsCenb2JSo0tMLO7tHw/SnO9Lc255rSxsYY5
tvQRo78e6GcXGKgnjkhW49eD6a1Td+TibwjNqnT+Gdmy5DKpjaEF5Ixi42ipLUkli6WdXgkZw7Dp
LySktK62eZ8ru+IniBdpz0ru+dz2atiNopoZstO6SIw4ZWUvwQQSCD686v2697bVbaMWawKeVk7u
QzKR4hKUFWDHR26dWu46Ym5kRIgyRv0RmR+p248tkk2e10iffotWkQYVH/xb4RxT1fdmzuYsVbcn
o3k1Iq8iRqRwehns9bqeQWhhI4Kd5DGUYNv4XeNRMpcGcgxYrXYIoAkMXNyskkYmD9Tkc9DDoCnl
uGZeC0Tj7VbKbBl2/NYhrXcZclydDzXEaTpJEi2Yyx7eYBXgaNfd54mXlnaNC+nz23rkO5cjZnyk
OVz1ZhJXjpxvBHObEc5IkMoboZouOCnKh+OXK8tLgcd/v/C30xaJPMW44P7zCTx+yJL+22ylRsxI
y05bTT/BDjHgRozuntJbnqAVk/vfBkHSDx7+jeVHa9fbmBmx17INakxzOgfGRxCx/dk6l5GEzFWA
BUdn5CJ3HPCvIs9tFtyXc7Ynzoe/WtVxVipxeXQWaB4lVCZflUjVgirxF7oB5Xp6DD/CmCs4KgmQ
iuSXcdQmpQVljHkyl5JpEmaUOGQo0/PR0MG8sAkBz0wC8mTPuVuRRDCGgSRGehF825tfp2Upk/DX
NUcbad6WYW9Shee0JcW6UwiAs4SyTw7KAT3VVbpYIz+510bVpymS23k7uQz9xchJlL3nSyUBAorr
YkDe+swk6+lXbzAhjPoEJPdzVtaU90fMuXUilP5Ygec+R7eX7BaHmvDu1R8NaGXMu3fbhkMgLUse
5KUnmQRw1WjRAs5DuC8x6EBf315HdObb4hbkwsmw7+ex932uxlchex+EKxOj47HymrKaiswBj9ni
UwmFPkiuQby3cCVdZBYzFmbbVLAOkIq07li5G4B6y8yQo4J544Arpx2Hq3JPbjWspu7blDbs21Is
rCaeEp3MZLVhVpYsu8lRUikjdQVmjiyBtWkaZl6FmVoh1e4ubmukTdZtIvCZ5/O2fY894j/DE0lr
c+Dgxan2ktM9xwkd4SR89HlhK8x6ByIlt0iqJynl03c//WHh5tjOWO95bFzEPJ+uWGsleSJnJ7s6
i0YgeeBHFEoA6e62VyG0ZfDDGYSpks4+XpXLF4pLi4krs9iOqjx+YLBYBPZ2Ibo97qAKp66Z7vtV
qmBw+06liG2cbJYtXp4nEkZuT9CukTjs8axwQL1DkGTzSrOhQ6sxsR7soJyqxrV/0Rv5f8D/AEbI
/wBgsayjWr/ojfy/4H+jZH+wWNauwVRuV0W2d/Fyr/X/AH21Mx5XH17cWNsWVhsvA86K6lVZFPDE
MR0njkcjnkA8+mobZ38XKv8AX/fbTTfG3b+7I6uIREqUYVew15grs0vDKsSrzz0nkl+QAV90ep4o
5zmslokrSm1rnw4wFI5DxA2PjKdK3l92YXExXozJUORuJUMyA8FlWUqSPTuBx3H0jUZnfE/bUW3E
yu2cli90STZGvjII8fkYnj9pncKiySqWEY78k8E8egJ4BfT4jcGbxtGV9w5raNqKMpYq4xKMsbsD
x1czQSnjtyvBXse459GuZ27ci2hdxmVW/wCIsFmRfOp5UUomMY/UgjhijJBAYdfB57hhwBq7TIVH
CHEBL+EuZ3DnNj4y/uTHxVrstSGTzobCyx2QyA9Y4VCp+lekAH0JHfR4d7qm3NhcpuKyKtbDDIWY
sbJ3UtWgYxNNIxPHvPHIw4A4QrzyeTqmfowYTN4vbj254LuPwFzH0DjcdbvCy8cqxN58y8O4ijkJ
j4jDduknheeNHhzt+fI+AW4fDBpxUylCPJYGZ259wyeYYZfp6Wilik/ralVUrU8WMXmvEPau39tW
EtUstFbmsSWKNiF2jjjDRyQGQKHjYkjrUMp47EasdXxA2pYz0OFTITrZsTNBXklozx17EqgkpFOy
CKRuFb3VYnsdUTA4re2S394eXsnstsLS23jrlW7O96vIGkkgjRfKWNyxiJj7EgN3HKjjk1qPZXiJ
fu7RkzOGz9vMY3cde7mMnZ3IGoSxJI3LVqizdAHBB4aJGUDgdRPOiLRJfFnEReJlnZj4bcR8ims5
tR4O+/VIZniKhFgPyfucicExtzwD251N7o8Q9o7ayb43L5V47UUAsTpBUmsezQkkCWYxIwhTsfec
qOx79tQ2co5/FeMybspbduZvG28FHjJfYp66SVpEsPIHZZpIwUKyH5pJ93076q26tlbvpeIm7Mvi
Z9zz43c61y6YaXFL0GOAQskwuxs3TwvIMbH57Dp5HJItphkjmiSaGRZI3UMjqeQwPoQf1jTPcGXx
+AwV/OZax7Nj8fXezam6Gfy40UszdKgk8AHsATprsbDjb+ysJgQZSMbj4Kg82YSuBHGq8Fwqhj2+
d0rz68D01X/GbYS772Tl8ZBbvV8lPjbFamVy1qtW8yRCFM0cLhZF545Do/bkcHngkSXi1vO7tevi
npXMPjYLpmL5LLRSPWjKJ1JDwjKfMkPZe/8AkngMeFPjLb4yVnYL5ba9aha3JSp18hkMDI/mTxoQ
ry1yFYFJunrC9Q+cBypB1LUdhYODDLi5Z85Zrl1kljtZ67YEhC9PSTJKxMf8z5p/WNVTwT2zunbm
Rlq5Clax+Ojp+XYjkupLWs3PNJ86pEjEV4ejkdHEfqvu8qWJFL7M3829t5tHtVqdratPHRTXMgVY
vJanVXigjIYBSkZ65OQSOtF7HnUrsXctvL5XcuDysVeLJ4LJGB/IUhJa8iCWvIASeCY3Ct3+ej+g
4GovwK2zf2rs69jsljo6E0ucyNpI0ZCDFLakaJvcJHeMp29QOAeOONN/C+Jsh4h+IO7If8Au3q2N
qP8Aql9jjKSuPpHmvKnP/dnRFouuM+uzGuM+iLZfY7vxRe1/B+U9l/0n+CFb2f8Awjj/ABlz5vr2
9PX5P01+/wCfD/vJ/wCZaoer5/nw/wC8n/mWqtbEqSZWM6NGjVlCNGjRoiNGjRoiNGjRoiNGjRoi
NGjRoiNav+iN/L/gf6Nkf7BY1lGtX/RG/l/wP9GyP9gsah2CpbldFtnfxcq/1/3218f/AKTPj34s
bL8b9wbZ2zuv2DE0/ZvZ6/wfVk6OutE7e88ZY8szHuf1/Rqn+Pm/N8YbxazWNw+8txY6jD5HlVqu
TmiiTmCNj0qrADkkk8D1JOvqD9GLaG096+B23tz7z2xhNy5277T7Vk8tQit2p+izLGnXLIrO3Siq
o5J4VQB2A0bhDlOP0KN/bs8RPCvJ5veOV+E78Gblqxy+zxQ9MSwQMF4jVQe7seeOe/8As1uevg39
NfLZXw28VMbgvDnJ3dm4mfCRW5qOBnahXknaedGlaOEqpcrGiliOSEUc8Aawz42fFP7St5/ftn8+
pULrLo1ya+NnxT+0ref37Z/Po+NnxT+0ref37Z/Poi6y6NcmvjZ8U/tK3n9+2fz6PjZ8U/tK3n9+
2fz6IusujXJr42fFP7St5/ftn8+j42fFP7St5/ftn8+iLrLo1ya+NnxT+0ref37Z/Po+NnxT+0re
f37Z/Poi6y6NcmvjZ8U/tK3n9+2fz6PjZ8U/tK3n9+2fz6IusujXJr42fFP7St5/ftn8+j42fFP7
St5/ftn8+iLrLrjPq5/Gz4p/aVvP79s/n1TNEX//2Q==
--=-=-=
Content-Type: text/plain

emacs-version "26.3"

--=-=-=--




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42417; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 5 Aug 2020 09:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.